petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatMFFDSetFunctionError

Sets the error_rel for the approximation of matrix-vector products using finite differences.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetFunctionError(Mat mat,PetscReal error)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix free matrix created via MatCreateMFFD() or MatCreateSNESMF()
| error_rel | - relative error (should be set to the square root of the relative error in the function evaluations)

### Options Database Keys

-mat_mffd_err <error_rel> -Sets error_rel

### Notes

The default matrix-free matrix-vector product routine computes

         F'(u)*a = [F(u+h*a) - F(u)]/h where
         h = error_rel*u'a/||a||^2                        if  |u'a| > umin*||a||_{1}
           = error_rel*umin*sign(u'a)*||a||_{1}/||a||^2   else

### See Also

MatCreateSNESMF(),MatMFFDGetH(), MatCreateMFFD(), MATMFFD
MatMFFDSetHHistory(), MatMFFDResetHHistory()

### Level

advanced

### Location

src/mat/impls/mffd/mffd.c

### Implementations

MatMFFDSetFunctionError_MFFD in src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages